Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705488 - dev-python/twisted-19.10.0 stabilization
Summary: dev-python/twisted-19.10.0 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 661320 705852 710566
Blocks: 719196 661258 704986 CVE-2019-12855 714528
  Show dependency tree
 
Reported: 2020-01-15 15:28 UTC by Paolo Pedroni
Modified: 2020-06-02 21:37 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/twisted-19.10.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2020-01-15 15:28:26 UTC
Please stabilize dev-python/twisted-17.9.0. It's required for the future stabilization of net-p2p/deluge-2.0.3-r2 on arm and ppc.
Comment 1 Paolo Pedroni 2020-01-15 15:31:05 UTC
x86 as well, please.
Comment 2 Andreas Sturmlechner gentoo-dev 2020-01-15 22:17:14 UTC
I'm not sure if this version is a planned stable candidate, but assigning to python.
Comment 3 Stabilization helper bot gentoo-dev 2020-01-15 23:05:36 UTC
An automated check of this bug failed - repoman reported dependency errors (50 lines truncated): 

> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
Comment 4 Stabilization helper bot gentoo-dev 2020-01-16 19:00:10 UTC
An automated check of this bug failed - repoman reported dependency errors (50 lines truncated): 

> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
Comment 5 Stabilization helper bot gentoo-dev 2020-01-19 17:01:57 UTC
An automated check of this bug failed - repoman reported dependency errors (50 lines truncated): 

> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/twisted/twisted-17.9.0.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['>=dev-python/hyper-h2-3.0.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/automat-0.3.0[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]', '>=dev-python/hyperlink-17.1.1[python_targets_python2_7(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_6(-)]']
Comment 6 Stabilization helper bot gentoo-dev 2020-02-22 19:04:16 UTC
An automated check of this bug failed - repoman reported dependency errors (113 lines truncated): 

> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: ia64(default/linux/ia64/17.0) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: ia64(default/linux/ia64/17.0/desktop) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
> dependency.bad dev-python/automat/automat-0.8.0.ebuild: BDEPEND: arm(default/linux/arm/17.0) ['dev-python/m2r[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-)]']
> dependency.bad dev-python/automat/automat-0.8.0.ebuild: BDEPEND: ia64(default/linux/ia64/17.0) ['dev-python/m2r[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-)]']
> dependency.bad dev-python/automat/automat-0.8.0.ebuild: BDEPEND: ia64(default/linux/ia64/17.0/desktop) ['dev-python/m2r[python_targets_pypy3(-)?,python_targets_python2_7(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,-python_single_target_pypy3(-),-python_single_target_python2_7(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-)]']
Comment 7 Andreas Sturmlechner gentoo-dev 2020-02-22 19:58:31 UTC
Re dev-python/sphinx-2: Alternatively we could drop USE doc from dev-python/pyhamcrest-1.9.0-r1 to be able to stabilise it, then re-add it in an ~arch revbump.
Comment 8 Stabilization helper bot gentoo-dev 2020-02-22 20:04:20 UTC
An automated check of this bug failed - repoman reported dependency errors (51 lines truncated): 

> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: ia64(default/linux/ia64/17.0) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: ia64(default/linux/ia64/17.0/desktop) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
Comment 9 Stabilization helper bot gentoo-dev 2020-02-23 12:04:13 UTC
An automated check of this bug failed - repoman reported dependency errors (51 lines truncated): 

> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: arm(default/linux/arm/17.0) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: ia64(default/linux/ia64/17.0) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
> dependency.bad dev-python/pyhamcrest/pyhamcrest-1.9.0-r1.ebuild: DEPEND: ia64(default/linux/ia64/17.0/desktop) ['>=dev-python/sphinx-2[python_targets_python3_6(-)?,-python_single_target_python3_6(-),python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-)]']
Comment 10 Sergei Trofimovich gentoo-dev 2020-03-02 20:13:48 UTC
sparc stable as:

commit 748956682bfc42a24a99ad59ed58494d7fbb38df
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Wed Feb 26 23:46:57 2020 +0100

    dev-python/twisted: stable 19.10.0 for sparc, bug #705488
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-03-14 18:26:52 UTC
arm stable
Comment 12 Agostino Sarubbo gentoo-dev 2020-03-31 12:35:49 UTC
ia64 will pass. See https://archives.gentoo.org/gentoo-dev/message/edaadc85d7423810dd6ecfeda29cc85f
Comment 13 NATTkA bot gentoo-dev 2020-04-15 05:56:46 UTC
Unable to check for sanity:

> dependent bug #710566 has errors
Comment 14 NATTkA bot gentoo-dev 2020-04-15 06:32:56 UTC
All sanity-check issues have been resolved
Comment 15 Thomas Deutschmann gentoo-dev Security 2020-04-26 23:48:46 UTC
x86 stable
Comment 16 Agostino Sarubbo gentoo-dev 2020-04-28 06:39:48 UTC
ppc64 stable
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-06 14:28:19 UTC
s390 stable
Comment 18 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-06 18:45:24 UTC
ppc stable
Comment 19 Rolf Eike Beer 2020-06-02 21:37:20 UTC
hppa stable. Last arch, closing.